Bug 30029 - ssh-agent удаляет сокет при отсутствующем ssh-askpass
: ssh-agent удаляет сокет при отсутствующем ssh-askpass
Status: CLOSED FIXED
: Sisyphus
(All bugs in Sisyphus/openssh)
: unstable
: all Linux
: P3 normal
Assigned To:
:
:
:
:
:
  Show dependency tree
 
Reported: 2014-04-24 14:47 by
Modified: 2014-05-16 18:02 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2014-04-24 14:47:18
[root@riderbook ~]# strace -fF -p 24033
Process 24033 attached
select(4, [3], [], NULL, NULL)          = 1 (in [3])
accept(3, {sa_family=AF_LOCAL, NULL}, [2]) = 4
getsockopt(4, SOL_SOCKET, SO_PEERCRED, {pid=24459, uid=500, gid=500}, [12]) = 0
getuid()                                = 500
fcntl(4, F_GETFL)                       = 0x2 (flags O_RDWR)
fcntl(4, F_SETFL, O_RDWR|O_NONBLOCK)    = 0
select(5, [3 4], [], NULL, NULL)        = 1 (in [4])
read(4, "\0\0\0\1\v", 1024)             = 5
select(5, [3 4], [4], NULL, NULL)       = 1 (out [4])
write(4,
"\0\0\1\325\f\0\0\0\1\0\0\1\261\0\0\0\7ssh-dss\0\0\0\201\0\214,\356"..., 473) =
473
select(5, [3 4], [], NULL, NULL)        = 1 (in [4])
read(4, "\0\0\3\314\r\0\0\1\261\0\0\0\7ssh-dss\0\0\0\201\0\214,\356B\324`."...,
1024) = 976
getsockopt(4, SOL_SOCKET, SO_PEERCRED, {pid=24459, uid=500, gid=500}, [12]) = 0
open("/proc/24459/cmdline", O_RDONLY)   = 5
read(5, "ssh\0riderkvms\0-AY\0", 79)    = 18
close(5)                                = 0
pipe([5, 6])                            = 0
rt_sigaction(SIGCHLD, NULL, {SIG_DFL, [], 0}, 8) = 0
clone(Process 24460 attached
child_stack=0, flags=CLONE_CHILD_CLEARTID|CLONE_CHILD_SETTID|SIGCHLD,
child_tidptr=0x7f65a10bb9d0) = 24460
[pid 24460] getuid( <unfinished ...>
[pid 24033] close(6 <unfinished ...>
[pid 24460] <... getuid resumed> )      = 500
[pid 24033] <... close resumed> )       = 0
[pid 24460] getuid( <unfinished ...>
[pid 24033] read(5,  <unfinished ...>
[pid 24460] <... getuid resumed> )      = 500
[pid 24460] setresuid(500, 500, 500)    = 0
[pid 24460] getuid()                    = 500
[pid 24460] geteuid()                   = 500
[pid 24460] close(5)                    = 0                                     
[pid 24460] dup2(6, 1)                  = 1
[pid 24460] execve("/usr/lib/openssh/ssh-askpass",
["/usr/lib/openssh/ssh-askpass", "Allow use of key /home/rider/.ss"...], [/* 43
vars */]) = -1 ENOENT (No such file or directory)
[pid 24460] open("/etc/localtime", O_RDONLY|O_CLOEXEC) = 5
[pid 24460] fstat(5, {st_mode=S_IFREG|0644, st_size=1464, ...}) = 0
[pid 24460] fstat(5, {st_mode=S_IFREG|0644, st_size=1464, ...}) = 0
[pid 24460] mmap(NULL, 4096, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_ANONYMOUS,
-1, 0) = 0x7f65a10e4000
[pid 24460] read(5,
"TZif2\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\16\0\0\0\16\0\0\0\0"..., 4096) =
1464
[pid 24460] lseek(5, -898, SEEK_CUR)    = 566
[pid 24460] read(5,
"TZif2\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\17\0\0\0\17\0\0\0\0"..., 4096) = 898
[pid 24460] close(5)                    = 0
[pid 24460] munmap(0x7f65a10e4000, 4096) = 0
[pid 24460] socket(PF_LOCAL, SOCK_DGRAM|SOCK_CLOEXEC, 0) = 5
[pid 24460] connect(5, {sa_family=AF_LOCAL, sun_path="/dev/log"}, 110) = 0
[pid 24460] sendto(5, "<34>Apr 24 14:44:49 ssh-agent[24"..., 119, MSG_NOSIGNAL,
NULL, 0) = 119
[pid 24460] close(5)                    = 0
[pid 24460] unlink("/home/rider/.ssh/agent") = 0
[pid 24460] exit_group(255)             = ?
[pid 24460] +++ exited with 255 +++
<... read resumed> "", 1023)            = 0
--- SIGCHLD {si_signo=SIGCHLD, si_code=CLD_EXITED, si_pid=24460, si_status=255,
si_utime=0, si_stime=0} ---
close(5)                                = 0
wait4(24460, [{WIFEXITED(s) && WEXITSTATUS(s) == 255}], 0, NULL) = 24460
rt_sigaction(SIGCHLD, NULL, {SIG_DFL, [], 0}, 8) = 0
select(5, [3 4], [4], NULL, NULL)       = 1 (out [4])
write(4, "\0\0\0\1\5", 5)               = 5
select(5, [3 4], [], NULL, NULL)        = 1 (in [4])
read(4, "", 1024)                       = 0
close(4)                                = 0
select(4, [3], [], NULL, NULL
------- Comment #2 From 2014-04-25 17:09:25 -------
а в p7 когда упадёт ?
------- Comment #3 From 2014-04-25 17:21:06 -------
(In reply to comment #2)
> а в p7 когда упадёт ?

Я и в Сизиф не отправлял - ошибка очень редкая.
Обычно какой-нибудь ssh-askpass в системе уже установлен.
------- Comment #4 From 2014-04-25 17:28:57 -------
Это дефолтный kdesktop-7

На эту же ошибку нарвался lioka, но проигнорировал, т.к. понятны пути объезда
------- Comment #5 From 2014-04-25 17:48:51 -------
(In reply to comment #4)
> Это дефолтный kdesktop-7
> 
> На эту же ошибку нарвался lioka, но проигнорировал, т.к. понятны пути объезда

Автор kdesktop в курсе?
------- Comment #6 From 2014-04-25 18:43:48 -------
да, сидит вот собирает kde4-askpass ;)
но мне от этого как ты догадываешься не особо легко ;) я к askpass вообще не
привык, если честно
------- Comment #7 From 2014-04-25 18:47:55 -------
(In reply to comment #6)
> я к askpass вообще не привык, если честно

Как же ты жил все эти годы? :)
------- Comment #8 From 2014-04-25 18:48:35 -------
не замечал никаких проблем, за исключением этой волшебной ;)
------- Comment #9 From 2014-04-26 06:34:23 -------
openssh-6.6p1-alt3 -> sisyphus:

* Fri Apr 25 2014 Dmitry V. Levin <ldv@altlinux> 6.6p1-alt3
- ssh-agent: fixed unintended socket removal (closes: #30029).
------- Comment #10 From 2014-05-16 17:15:35 -------
Отправь его ещё в p7, пожалуйста.
------- Comment #11 From 2014-05-16 17:48:19 -------
(In reply to comment #10)
> Отправь его ещё в p7, пожалуйста.

Новую версию openssh, или только этот фикс?
------- Comment #12 From 2014-05-16 18:02:15 -------
мне нужен только этот фикс.